Subject: bug#32262: cannot build automake-1.16 on AIX (v6.1 and xlc); automake-1-15.1 builds fine.

From: Michael Felt <[email-masked]>
Date: Tue, 24 Jul 2018 19:16:22 +0200

My bad - need to read announcements in the reverse order. I found 
automake-1.16.1 and all is fine again.

Thanks - and my apologies for the noise. -- not a bug.

On 7/24/2018 7:10 PM, Michael Felt wrote:
> Just checked - building automake 1.15.1 is simple. automake-1.16, not 
> so simple (aka not working, see below).
>
>
> Hope this helps! - below for details
>
>
> Target "clean" is up to date.
> root@x066:[/data/prj/gnu/automake-1.15.1]make
>   GEN      bin/automake
>   GEN      bin/aclocal
>   GEN      t/ax/shell-no-trail-bslash
>   GEN      t/ax/cc-no-c-o
>   GEN      runtest
>   GEN      doc/aclocal.1
>   GEN      doc/automake.1
>   GEN      lib/Automake/Config.pm
>   GEN      doc/aclocal-1.15.1
>   GEN      doc/automake-1.15.1
>   GEN      t/ax/test-defs.sh
>
>
> AUTOMAKE-1.16:
>
> root@x066:[/data/prj/gnu/automake-1.16]make
>   GEN      bin/automake
>   GEN      bin/aclocal
>   GEN      bin/aclocal-1.16
>   GEN      bin/automake-1.16
>   GEN      t/ax/shell-no-trail-bslash
>   GEN      t/ax/cc-no-c-o
>   GEN      runtest
>   GEN      doc/aclocal.1
>   GEN      doc/automake.1
>   GEN      lib/Automake/Config.pm
>   GEN      doc/aclocal-1.16.1
>   GEN      doc/automake-1.16.1
> help2man: can't get `--help' info from automake-1.16
> Try `--no-discard-stderr' if option outputs to stderr
> make: 1254-004 The error code from the last command is 255.
>
> There is at least one issue, both in in-tree and out-of-tree builds:
>
> root@x066:[/data/prj/gnu/automake-1.16]make V=1
>         :  && lib/install-sh -c -d doc  && ./pre-inst-env 
> /usr/bin/perl ./doc/help2man --output=doc/automake-1.16.1 automake-1.16
> help2man: can't get `--help' info from automake-1.16
> Try `--no-discard-stderr' if option outputs to stderr
> make: 1254-004 The error code from the last command is 255.
>
>
> root@x066:[/data/prj/gnu/automake-1.16]./bin/automake --help
> "none" is not exported by the List::Util module
> Can't continue after import errors at ./bin/automake line 76
> BEGIN failed--compilation aborted at ./bin/automake line 76.
>
> This is the error I get AFTER doing:
>
> # ln -s lib/Automake Automake
>
> Without the symbolic link I get:
>
> root@x066:[/data/prj/gnu/automake-1.16]./bin/automake --help
> Can't locate Automake/Config.pm in @INC (@INC contains: 
> /opt/share/automake-1.16 /usr/opt/perl5/lib/5.8.8/aix-thread-multi 
> /usr/opt/perl5/lib/5.8.8 
> /usr/opt/perl5/lib/site_perl/5.8.8/aix-thread-multi 
> /usr/opt/perl5/lib/site_perl/5.8.8 /usr/opt/perl5/lib/site_perl .) at 
> ./bin/automake line 47.
> BEGIN failed--compilation aborted at ./bin/automake line 47.
>
>
>
>
>
>